Name: ovs-config
Version: 3.4.7
Release: 0.12%{?dist}
Summary: Configurations for OVM server.
License: GPL
Group: Applications/System
URL: http://www.oracle.com/
Source: %{name}-%{version}.tar.gz

Patch1: fix-uid.patch
Patch2: reservation-key.patch
Patch3: tcp-tuning.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
#Requires: module-init-tools
Requires: ntp
Requires: iptables
Requires: iptables-ipv6
Requires: iscsi-initiator-utils
Requires: setup
Requires: ed
Requires: lvm2
Requires: initscripts
#Requires: libvirt-daemon
Requires: cloud-init
Requires: nfs-utils
Requires: ipmitool
Requires: oswatcher
Requires: reflink
Requires: vbox-img
Requires: network-scripts-vxlan
Requires: ovs-snmp
Requires: openldap-clients
Requires: nss-pam-ldapd
Requires: net-snmp-utils
Requires: device-mapper-multipath

%description
Configurations for OVM server.

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then  # For install
    ovs-config post-install
elif [ $1 -eq 2 ]; then  # For upgrade
    ovs-config post-upgrade
fi
ovs-config post

# Start ovs-agent grub config script in rc.local
if ! grep -E -q "ovs-agent-grub-config" /etc/rc.local >/dev/null; then
    echo 'logger -p info -t rc.local "Enter rc.local script ..."' >>/etc/rc.local
    echo 'rpm -qa | grep -e "^ovca" -e "^pca" >/dev/null' >>/etc/rc.local
    echo 'if [ $? == 0 ]; then' >>/etc/rc.local
    echo '    for i in {1..20}' >>/etc/rc.local
    echo '    do' >>/etc/rc.local
    echo '        xm info >/dev/null 2>&1' >>/etc/rc.local
    echo '        if [ $? == 0 ]; then' >>/etc/rc.local
    echo '            logger -p info -t rc.local "xend is running ..."' >>/etc/rc.local
    echo '            break' >>/etc/rc.local
    echo '        else' >>/etc/rc.local
    echo '            logger -p info -t rc.local "check xend running state $i"' >>/etc/rc.local
    echo '            sleep 3' >>/etc/rc.local
    echo '        fi' >>/etc/rc.local
    echo '    done' >>/etc/rc.local
    echo '    logger -p info -t rc.local "calculate hypervisor dom0_mem ..."' >>/etc/rc.local
    echo '    ovs-agent-grub-config' >>/etc/rc.local
    echo '    if [ $? == 0 ]; then' >>/etc/rc.local
    echo '        logger -p info -t rc.local "dom0_mem has changed, system reboot NOW"' >>/etc/rc.local
    echo '        reboot' >>/etc/rc.local
    echo '    fi' >>/etc/rc.local
    echo 'fi' >>/etc/rc.local
    echo 'logger -p info -t rc.local "Exit rc.local script ..."' >>/etc/rc.local
fi

chmod +x /etc/rc.d/rc.local

%files
%defattr(-,root,root)
%{_sysconfdir}/modprobe.d/ovs.conf
%{_sysconfdir}/sysctl.d/ovs.conf
%config(noreplace) %{_sysconfdir}/mdadm.conf
%config(noreplace) %{_sysconfdir}/multipath.conf
%{_sbindir}/ovs-config

%changelog
* Mon Jun 07 2021 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.4.7-0.12
- add TCP tuning
* Mon Apr 26 2021 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.7-0.9
- add reservation_key attribute
* Wed Apr 21 2021 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.7-0.8
- fix multipath.conf uid_attribute
* Sat Apr 17 2021 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.4.7-0.7
- fix mdadm.conf
* Thu Feb 04 2021 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.4.7-0.4
- adjust dependency
* Fri Nov 13 2020 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.4.7-0.1
- initial
